com.corticon.rulesemf.expression

## Interface ExpressionPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface ExpressionPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `ExpressionFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ExpressionPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ExpressionPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `OPAQUE_EXPRESSION` The meta object id for the '`Opaque Expression`' class
    `static int` | `OPAQUE_EXPRESSION__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `OPAQUE_EXPRESSION__EXPRESSION` The feature id for the 'Expression' attribute
    `static int` | `OPAQUE_EXPRESSION__PARSER_OUTPUT` The feature id for the 'Parser Output' containment reference
    `static int` | `OPAQUE_EXPRESSION__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `OPAQUE_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Opaque Expression' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionFactory` | `getExpressionFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EAttribute` | `getOpaqueExpression_Expression()` Returns the meta object for the attribute '`Expression`'
    `org.eclipse.emf.ecore.EReference` | `getOpaqueExpression_ParserOutput()` Returns the meta object for the containment reference '`Parser Output`'
    `org.eclipse.emf.ecore.EClass` | `getOpaqueExpression()` Returns the meta object for class '`Opaque Expression`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final ExpressionPackage eINSTANCE

      The singleton instance of the package.

    - #### OPAQUE_EXPRESSION

          static final int OPAQUE_EXPRESSION

      The meta object id for the '`Opaque Expression`' class.
      See Also:
        `OpaqueExpressionImpl`, `ExpressionPackageImpl.getOpaqueExpression()`, Constant Field Values

    - #### OPAQUE_EXPRESSION__DOCUMENTING_RULE_STATEMENTS

          static final int OPAQUE_EXPRESSION__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### OPAQUE_EXPRESSION__VALIDATION_MESSAGES

          static final int OPAQUE_EXPRESSION__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### OPAQUE_EXPRESSION__EXPRESSION

          static final int OPAQUE_EXPRESSION__EXPRESSION

      The feature id for the 'Expression' attribute.
      See Also:
        Constant Field Values

    - #### OPAQUE_EXPRESSION__PARSER_OUTPUT

          static final int OPAQUE_EXPRESSION__PARSER_OUTPUT

      The feature id for the 'Parser Output' containment reference.
      See Also:
        Constant Field Values

    - #### OPAQUE_EXPRESSION_FEATURE_COUNT

          static final int OPAQUE_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Opaque Expression' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getOpaqueExpression

          org.eclipse.emf.ecore.EClass getOpaqueExpression()

      Returns the meta object for class '`Opaque Expression`'.
      Returns:
        the meta object for class 'Opaque Expression'.
      See Also:
        `OpaqueExpression`

    - #### getOpaqueExpression_Expression

          org.eclipse.emf.ecore.EAttribute getOpaqueExpression_Expression()

      Returns the meta object for the attribute '`Expression`'.
      Returns:
        the meta object for the attribute 'Expression'.
      See Also:
        `OpaqueExpression.getExpression()`, `getOpaqueExpression()`

    - #### getOpaqueExpression_ParserOutput

          org.eclipse.emf.ecore.EReference getOpaqueExpression_ParserOutput()

      Returns the meta object for the containment reference '`Parser Output`'.
      Returns:
        the meta object for the containment reference 'Parser Output'.
      See Also:
        `OpaqueExpression.getParserOutput()`, `getOpaqueExpression()`

    - #### getExpressionFactory

          ExpressionFactory getExpressionFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.